<template>
  <div class="error" v-if="html" v-html="html" />
  <div class="error" v-else>Unknown Error</div>
</template>
<style lang="scss" scoped>

@import "~assets/mixins.scss";

.error {
  background-color: red;
  border: $border;
  padding: $grid*0.25 $grid*0.5;
  color: white;
  margin: $grid*0.5 0;
  @include corners;
}

</style>
<script>

export default {
  props: ['error'],
  components: {},
  mixins: [],
  data() {
    return {};
  },
  computed: {
    html() {
      return this.error && this.error.message;
    }
  },
  watch: {

  },
  methods: {

  },
}

</script>
